Package org.eclipse.remote.core

# Interface IRemoteConnectionChangeListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `TelnetConnection`

public interface IRemoteConnectionChangeListener extends EventListener
Listener used to register for notification of connection status changes. Listeners can be registered on individual connections using `IRemoteConnection.addConnectionChangeListener(IRemoteConnectionChangeListener)`, or globally for all connections using `IRemoteServicesManager.addRemoteConnectionChangeListener(IRemoteConnectionChangeListener)`.

## Method Summary

Modifier and Type
Method
Description
`void`
`connectionChanged(RemoteConnectionChangeEvent event)`
Notifies this listener that the status of a connection has changed.

## Method Details

### connectionChanged

void connectionChanged(RemoteConnectionChangeEvent event)
Notifies this listener that the status of a connection has changed.

Parameters:
  `event` - the connection change event
Since:
  2.0